- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends

# QResizeEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 344 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QResizeEvent:
[legend]

List of all members.

## Public Member Functions
| QResizeEvent (const QSize &size, const QSize &oldSize)
| ~QResizeEvent ()
const QSize & | size () const
const QSize & | oldSize () const
## Protected Attributes
QSize | s
QSize | olds
## Friends
class | QApplication
class | QCoreApplication

## Constructor & Destructor Documentation

QResizeEvent | ( | const QSize & | size,
|  | const QSize & | oldSize
| ) |  |

~QResizeEvent | ( |  | ) |

## Member Function Documentation

const QSize& size | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 350 of file qevent.h.

    { return s; }

const QSize& oldSize | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 351 of file qevent.h.

    { return olds;}

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 354 of file qevent.h.

friend class QCoreApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 355 of file qevent.h.

## Member Data Documentation

QSize s `[protected]`

Search for all occurrences

Definition at line 353 of file qevent.h.

QSize olds `[protected]`

Search for all occurrences

Definition at line 353 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent
QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent QResizeEvent